最新消息:XAMPP默认安装之后是很不安全的,我们只需要点击左方菜单的 "安全"选项,按照向导操作即可完成安全设置。

如何发布自己的composer包

XAMPP下载 admin 664浏览 0评论

前提:
你需要收github和Packagist账号
github地址:https://github.com
Packagist地址:https://packagist.org

一:将你的composer包代码上传到github上
如何上传代码到github上可以参考我的:github 简单使用
如果你需要可以实现composer下载,那么你的composer包中必须要有composer.json文件
composer.json文件基本格式你可以按照如下格式编写:

{
“name”: “huaweichenai/baidu-discern”,
“description”: “Baidu realizes picture recognition text package(百度实现图片识别文字包)”,
“keywords”: [“yii2″,”baidu”,”discern”,”extension”],
“type”: “yii2-extension”,
“license”: “BSD-3-Clause”,
“authors”: [
{
“name”: “huaweichenai”,
“email”: “243681093@qq.com”,
“homepage”: “https://www.wj0511.com/”
}
],
“require”: {},
“minimum-stability”: “dev”,
“autoload”: {
“psr-4”: {
“huaweichenai\\discern\\”: “src”
}
}
}
二:将composer包上传到packagist

1:登录packagist然后点击右上角的submit按钮

2:在输入框中输入你的github代码仓库地址,然后点击check

clipboard.png

如果出现错误根据错误提示解决,没有错误点击submit

等到submit执行过后出现如下界面表示你的composer包已经上传packagist上了

clipboard.png

虽然我们已经将comspoer包上传到packagist上了,但是我们在本地安装我们的composer包时还是会报错的

clipboard.png

这是因为我们没有在github上指定版本的原因,如果我们不想在github上指定版本,这时候我们可以执行

composer require huaweichenai/baidu-discern “dev-master” #huaweichenai/baidu-discern是我的composer包
这时候就可以将我们的composer包下载下来了

我们也可以在github上指定版本,那么如何在github上指定版本呢?

1:点击releases

clipboard.png

2:点击Create a new release
clipboard.png

3:发布一个版本
clipboard.png

4:发布一个版本之后我们在packgist上点击update进行更新,这时候我们就可以在本地不进行指定版本安装了

composer require huaweichenai/baidu-discern
将发布包上传到 Packagist 后可能需要几分钟才可以使用,如果出现问题,等过几分钟在进行安装就可以了

转载请注明:XAMPP中文组官网 » 如何发布自己的composer包

您必须 登录 才能发表评论!